Version : mises à jour de la plateforme Amazon Linux pour Elastic Beanstalk le 26 mai 2022 - AWS Elastic Beanstalk

Version : mises à jour de la plateforme Amazon Linux pour Elastic Beanstalk le 26 mai 2022

Cette version fournit de nouvelles versions pour les plateformes AWS Elastic Beanstalk basées sur Amazon Linux. La version inclut des mises à jour de sécurité. Elle inclut également les mises à jour AMI, Apache httpd, Go, Corretto, Node.js et .NET Core.

Date de publication : 26 mai 2022

Modifications

Le tableau suivant répertorie les modifications incluses dans cette version.

Remarques
  • Ces notes de mise à jour se concentrent sur les modifications apportées aux branches de plateforme actuellement prises en charge. Pour des informations complètes sur les branches de plateforme Elastic Beanstalk mises hors service (obsolètes), consultez Versions de plateforme Elastic Beanstalk planifiées pour une mise hors service dans le guide Plateformes AWS Elastic Beanstalk.

  • Sachez qu'au moment de la publication de ces notes de mise à jour, les nouvelles versions de plateforme peuvent ne pas encore être disponibles dans toutes les régions AWS prises en charge par Elastic Beanstalk. Plusieurs heures peuvent encore être nécessaires pour terminer la version.

Catégorie Description

Mises à jour de sécurité

Application de toutes les mises à jour de sécurité publiées dans le Amazon Linux Security Center (Centre de sécurité Amazon Linux) au plus tard le 5 mai 2022 dans toutes les plateformes Amazon Linux 2 existantes.

Les versions Apache httpd, Go, Corretto, et .NET Core sont des versions de sécurité. Pour de plus amples informations, consultez Mises à jour multiplateformes et Mises à jour spécifiques à une plateforme dans ce tableau.

Mises à jour multiplateformes

Application de ces mises à jour multiplateformes :

Composant Mettre à jour

AMI de base

Mise à jour de l'AMI de base vers la version 2.0.20220426.

Apache httpd

Mise à jour des plateformes prenant en charge Apache HTTP Server 2.4 vers la version 2.4.53. Pour de plus amples informations, veuillez consulter Modifications avec Apache 2.4.x sur le site web Apache Software Foundation.

La version Apache 2.4.53 est une version de sécurité.

Mises à jour spécifiques aux plateformes

Application de ces mises à jour spécifiques aux plateformes :

Plateforme Mettre à jour

Go

Mise à jour de Go vers la version 1.18.2. Pour plus de détails, consultez go1.18 dans Historique des versions de langage de programmation Go.

La version Go 1.18.2 est une version de sécurité.

Corretto

Mise à jour de Corretto 11 vers la version 11.0.15.9.1. Pour plus d'informations, consultez le journal des modifications Amazon Corretto 11 dans le référentiel Corretto 11 de GitHub.

Mise à jour de Corretto 8 vers la version 8.332.08.1. Pour plus d'informations, consultez le journal des modifications Amazon Corretto 8 dans le référentiel Corretto 8 de GitHub.

Les deux mises à jour Corretto sont des versions de sécurité.

.NET Core

Mise à jour de .NET Core vers les versions 6.0.5, 5.0.17 et 3.1.25

Les trois mises à jour de .NET Core sont des versions de sécurité.

Node.js

Mise à jour de Node.js 16 pour ajouter la prise en charge de la version Node 16.15.0.

Mise à jour de Node.js 14 pour ajouter la prise en charge des versions Node 14.19.2 et 14.19.3.

Nouvelles versions de plateforme

Ces plateformes actuellement prises en charge sont mises à jour :

Docker

Version de plateforme et Nom de la pile de solutions

AMI

Docker

Docker Compose

Serveur proxy

Docker AL2version 3.4.16

64bit Amazon Linux 2 v3.4.16 running Docker

2.0.20220426

20.10.13-2

1.29.2

nginx 1.20.0

ECS AL2 version 3.1.2

64bit Amazon Linux 2 v3.1.2 running ECS

2.0.20220426

Go

Version de plateforme et Solution Stack Name (Nom de la pile de solutions)

AMI

Langage

AWS X-Ray

Serveur proxy

Go 1 AL2 version 3.5.2

64bit Amazon Linux 2 v3.5.2 running Go 1

2.0.20220426

Go 1.18.2

3.2.0

nginx 1.20.0

Java SE

Version de plateforme et Solution Stack Name (Nom de la pile de solutions)

AMI

Langage

Outils

AWS X-Ray

Serveur proxy

Corretto 11 version 3.2.15

64bit Amazon Linux 2 v3.2.15 running Corretto 11

2.0.20220426

Corretto 11.0.15.9.1

Ant 1.10.7, Gradle 5.6.2, Maven 3.6.2

3.2.0

nginx 1.20.0

Corretto 8 version 3.2.15

64bit Amazon Linux 2 v3.2.15 running Corretto 8

2.0.20220426

Corretto 8.332.08.1

Ant 1.10.7, Gradle 5.6.2, Maven 3.6.2

3.2.0

nginx 1.20.0

Tomcat

Version de plateforme et Solution Stack Name (Nom de la pile de solutions)

AMI

Langage

AWS X-Ray

Serveur d'application

Serveur proxy

Corretto 11 with Tomcat 8.5 AL2 version 4.2.15

64bit Amazon Linux 2 v4.2.15 running Tomcat 8.5 Corretto 11

2.0.20220426

Corretto 11.0.15.9.1

3.2.0

Tomcat 8.5.75

nginx 1.20.0 (par défaut), Apache 2.4.53

Corretto 8 with Tomcat 8.5 AL2 version 4.2.15

64bit Amazon Linux 2 v4.2.15 running Tomcat 8.5 Corretto 8

2.0.20220426

Corretto 8.332.08.1

3.2.0

Tomcat 8.5.75

nginx 1.20.0 (par défaut), Apache 2.4.53

.NET Core sous Linux

Version de plateforme et Solution Stack Name (Nom de la pile de solutions)

Cadre

Serveur proxy

AMI

AWS X-Ray

.NET Core on AL2 version 2.3.2

64bit Amazon Linux 2 v2.3.2 running .NET Core

.NET 6.0.5, prend en charge 6.0.5, 5.0.17, 3.1.25

nginx 1.20.0

2.0.20220426

3.2.0

Node.js

Version de plateforme et Solution Stack Name (Nom de la pile de solutions)

AMI

Versions Node.js (versions npm)

Serveur proxy

Git

AWS X-Ray

Node.js 16 AL2 version 5.5.3

64bit Amazon Linux 2 v5.5.3 running Node.js 16

2.0.20220426

16.15.0 (8.5.5), 16.14.2 (8.5.0), 16.14.1 (8.5.0), 16.14.0 (8.3.1), 16.13.2 (8.1.2), 16.13.1 (8.1.2), 16.13.0 (8.1.0), 16.12.0 (8.1.0), 16.11.1 (8.0.0), 16.11.0 (8.0.0), 16.10.0 (7.24.0), 16.9.1 (7.21.1), 16.9.0 (7.21.1), 16.8.0 (7.21.0), 16.7.0 (7.20.3), 16.6.2 (7.20.3), 16.6.1 (7.20.3), 16.6.0 (7.19.1), 16.5.0 (7.19.1), 16.4.2 (7.18.1), 16.4.1 (7.18.1), 16.4.0 (7.18.1), 16.3.0 (7.15.1), 16.2.0 (7.13.0), 16.1.0 (7.11.2), 16.0.0 (7.10.0)

Version par défaut : 16.15.0

nginx 1.20.0 (par défaut), Apache 2.4.53

2.32.0

3.2.0

Node.js 14 AL2 version 5.5.3

64bit Amazon Linux 2 v5.5.3 running Node.js 14

2.0.20220426

14.19.3(6.14.17), 14.19.2(6.14.17), 14.19.1 (6.14.16), 14.19.0 (6.14.16), 14.18.3 (6.14.15), 14.18.2 (6.14.15), 14.18.1 (6.14.15), 14.18.0 (6.14.15), 14.17.6 (6.14.15), 14.17.5 (6.14.14), 14.17.4 (6.14.14), 14.17.3 (6.14.13), 14.17.2 (6.14.13), 14.17.1 (6.14.13), 14.17.0 (6.14.13), 14.16.1 (6.14.12), 14.16.0 (6.14.11), 14.15.5 (6.14.11), 14.15.4 (6.14.10), 14.15.3 (6.14.9), 14.15.2 (6.14.9), 14.15.1 (6.14.8), 14.15.0 (6.14.8), 14.14.0 (6.14.8), 14.13.1 (6.14.8), 14.13.0 (6.14.8), 14.12.0 (6.14.8), 14.11.0 (6.14.8), 14.10.1 (6.14.8), 14.10.0 (6.14.8), 14.9.0 (6.14.8), 14.8.0 (6.14.7), 14.7.0 (6.14.7), 14.6.0 (6.14.6), 14.5.0 (6.14.5), 14.4.0 (6.14.5), 14.3.0 (6.14.5), 14.2.0 (6.14.4), 14.1.0 (6.14.4), 14.0.0 (6.14.4)

Version par défaut : 14.19.3

nginx 1.20.0 (par défaut), Apache 2.4.53

2.32.0

3.2.0

PHP

Version de plateforme et Solution Stack Name (Nom de la pile de solutions)

AMI

Langage

Composer

Serveur proxy

PHP 8.0 AL2 version 3.3.14

64bit Amazon Linux 2 v3.3.14 running PHP 8.0

2.0.20220426

PHP 8.0.16

2.0.13

nginx 1.20.0 (par défaut), Apache 2.4.53

Python

Version de plateforme et Solution Stack Name (Nom de la pile de solutions)

AMI

Langage

Gestionnaire de package

Outil de création de package

meld3

AWS X-Ray

Serveur proxy

Python 3.8 AL2 version 3.3.14

64bit Amazon Linux 2 v3.3.14 running Python 3.8

2.0.20220426

Python 3.8.5

pipenv 2021.11.9

3.2.0

nginx 1.20.0 (par défaut), Apache 2.4.53

Python 3.7 AL2 version 3.3.14

64bit Amazon Linux 2 v3.3.14 running Python 3.7

2.0.20220426

Python 3.7.10

pipenv 2021.11.9

3.2.0

nginx 1.20.0 (par défaut), Apache 2.4.53

Ruby

Version de plateforme et Solution Stack Name (Nom de la pile de solutions)

AMI

Langage

Gestionnaire de package

Serveur d'application

AWS X-Ray

Serveur proxy

Ruby 3.0 AL2 version 3.4.7

64bit Amazon Linux 2 v3.4.7 running Ruby 3.0

2.0.20220426

Ruby 3.0.4-p208

RubyGems 3.3.12

Puma 5.6.4

3.2.0

nginx 1.20.0

Ruby 2.7 AL2 version 3.4.7

64bit Amazon Linux 2 v3.4.7 running Ruby 2.7

2.0.20220426

Ruby 2.7.6-p219

RubyGems 3.3.12

Puma 5.6.4

3.2.0

nginx 1.20.0